#### D.2.5.7 split

Procedure from library `inout.lib` (see inout_lib).

Usage:
  split(s[,n]); s string, n integer

Return:
  same string, split into lines of length n separated by \ (default: n=pagewidth)

Note:
  may be used in connection with lprint

Example:

    LIB "inout.lib";
    ring r= 0,(x,y,z),ds;
    poly f = (x+y+z)^4;
    split(string(f),50);
    ==> x4+4x3y+6x2y2+4xy3+y4+4x3z+12x2yz+12xy2z+4y3z+6x\
    ==> 2z2+12xyz2+6y2z2+4xz3+4yz3+z4
    split(lprint(f));
    ==>   x4+4x3y+6x2y2+4xy3+y4+4x3z+12x2yz+12xy2z+4y3z+6x2z2+12xyz2+6y2z2+4xz3+4\
       yz3\
    ==> +z4

User manual for Singular version 4.4.1, 2025, generated by texi2html.